﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication1
{
    public class ViewModel : INotifyPropertyChanged
    {
        private DataItem item;

        public DataItem Item
        {
            get
            {
                return item;
            }

            set
            {
                if (item != value)
                {
                    item = value;
                    if (PropertyChanged != null)
                    {
                        PropertyChanged.Invoke(this, new PropertyChangedEventArgs("Item"));
                    }
                }
            }
        }

        public IEnumerable<DataItem> Items
        {
            get
            {
                return new List<DataItem> { item };
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
